Bug 40550 - Kickstart Documentation incomplete, incoherent, inconsistent
Summary: Kickstart Documentation incomplete, incoherent, inconsistent
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rhl-cg (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Tammy Fox
QA Contact: Tammy Fox
URL: http://www.redhat.com/support/manuals...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-05-14 13:48 UTC by Paul Sand
Modified: 2007-04-18 16:33 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-18 15:01:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Paul Sand 2001-05-14 13:48:55 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0b; Windows NT 5.0)

Description of problem:
The kickstart file format is described in two places on the referenced 
URL, in the first bullet point and the last. The first bullet point refers 
to <installclass>. This is further described *nowhere* else. 

The first bullet point refers to "%pre, %post, and %packages" in "any 
combination". The last bulleted point omits the "%pre" description, and 
doesn't say where it needs to go. "Any combination" implies (to me) "any 
order, all optional". But the last bulleted point says (I think correctly) 
that the %post section has to be last. (But, once again, the first bullet 
point says <installclass> is last. Whatever it is.)

In addition, the documentation (on the referenced page and in what follows 
in the section) refers to (variously and 
vaguely): "items", "commands", "sections", and "options" in the kickstart 
file. No effort is made to rigorously define these terms.

How reproducible:
Always

Steps to Reproduce:
1.Read the description of the kickstart file
2.Try to write one.
3.
	

Actual Results:  Confusion and multiple experiments.

Expected Results:  A clear syntax description would make it easier.

Additional info:

I think it's time to get this right. Kickstart documentation has been poor 
for the last few releases.

Comment 1 Tammy Fox 2001-05-15 17:57:39 UTC
I understand your concerns about the order of items in the file. I am checking
on this.

Comment 2 Tammy Fox 2001-05-18 15:01:27 UTC
I reworded the list of items with a description of each as follows:

    *  Items must be specified in order. That order is:
      
          * Command section ? Refer to the section called Kickstart Options for
a list of kickstart options. You must include the required options.
          * The %packages section ? Refer to the section called %packages ?
Package Selection for details.
          * The %pre and %post sections. ? These two sections can be in any
order and are not required. Refer to the section called %pre ? Pre-Installation
Configuration Section and the section called %post ? Post-Installation
Configuration Section for details.
      
The "refer to" links the reader to the section that provides a more in-depth
explanation.


I also removed the sentence that says the %post section has to be last. This
statement is not correct.

Comment 3 Tammy Fox 2001-05-22 19:29:38 UTC
Resolving - fixed in CVS for next release.


Note You need to log in before you can comment on or make changes to this bug.